<?php
/**
 * The template for displaying the header
 *
 * Displays all of the head element and everything up until the "site-content" div.
 *
 * @package WordPress
 * @subpackage Twenty_Fifteen
 * @since Twenty Fifteen 1.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
    <base href="<?php echo get_site_url(); ?>">
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width">
    <title><?php the_title(' | ', bloginfo('name')); ?></title>
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
    <link rel="shortcut icon" href="<?php echo esc_url( get_template_directory_uri() ); ?>/favicon.png" type="image/png" />
    <!--[if lt IE 9]>
    <script src="<?php echo esc_url( get_template_directory_uri() ); ?>/js/html5.js"></script>
    <![endif]-->
    <?php wp_head(); ?>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" integrity="sha384-WskhaSGFgHYWDcbwN70/dfYBj47jz9qbsMId/iRN3ewGhXQFZCSftd1LZCfmhktB" crossorigin="anonymous">
    <link href="https://cdn.rawgit.com/michalsnik/aos/2.1.1/dist/aos.css" rel="stylesheet">

    <script src="https://code.jquery.com/jquery-3.3.1.min.js" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js" integrity="sha384-smHYKdLADwkXOn1EmN1qk/HfnUcbVRZyYmZ4qpPea6sjB/pTJ0euyQp0Mk8ck+5T" crossorigin="anonymous"></script>
    <script src="https://cdn.rawgit.com/michalsnik/aos/2.1.1/dist/aos.js"></script>
    <script src="<?php echo esc_url( get_template_directory_uri() ); ?>/js/jquery.mask.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/3.5.2/animate.min.css">
    <link rel="stylesheet" href="<?php echo esc_url( get_template_directory_uri() ); ?>/style.css">
    <link rel="stylesheet" href="<?php echo esc_url( get_template_directory_uri() ); ?>/ambu.css">
    <script src="<?php echo esc_url( get_template_directory_uri() ); ?>/code.js"></script>

</head>

<body <?php body_class(); ?>>
<div id="arrow" style="display: none; right:50px; bottom:20px; width: 50px; cursor: pointer; position: fixed; z-index:3">
    <a class="anchor" href="#topo"><img src="<?php echo esc_url( get_template_directory_uri() ); ?>/img/top-arrow.png" style="width: 100%" title="Topo da Página"></a>
</div>

<div id="loader-back" class="loader"></div>
<div id="loader" class="loader"></div>

<div class="container-fluid">

    <div class="row">

        <div id="topo" class="col-12 header-box">

            <div class="container">

                <div class="row">
                    <div class="col-12 col-sm-12 col-md-5 col-lg-4 col-xl-4 text-center">
                        <div>
                            <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/img/white-scd.png" style="opacity: 0.5; z-index: 1; position: relative;">
                        </div>
                        <div>
                            <a href="<?php echo get_site_url(); ?>">
                                <img data-aos="fade-down" src="<?php echo esc_url( get_template_directory_uri() ); ?>/img/logo.png" style=" z-index: 2; position: relative; margin: -225px 0px 0px 15px">
                            </a>
                        </div>


                    </div>

                    <div class="col-12 col-sm-12 col-md-7 col-lg-6 col-xl-6 text-center">
                        <div class="wrapper tabled">
                            <div class="stage" id="page1">
                                <div id="menu" class="middled">
                                    <div class="link-1">
                                        <?php if (is_front_page()) { ?>
                                            <a class="anchor" href="#quemsomos" style="color: #fff;">Quem somos</a>
                                        <?php } else { ?>
                                            <a href="<?php echo get_site_url(); ?>/#quemsomos" style="color: #fff;">Quem somos</a>
                                        <?php } ?>

                                    </div>
                                    <div class="link-1">
                                        <a href="<?php echo get_site_url(null, '/residuos'); ?>" style="padding-left: 15px; color: #fff;">Resíduos</a>
                                    </div>
                                    <div class="link-1">
                                        <a href="<?php echo get_site_url(null, '/saneamento'); ?>" style="padding-left: 15px; color: #fff;">Saneamento</a>
                                    </div>
                                    <div class="link-1">
                                        <a href="<?php echo get_site_url(null, '/energia'); ?>" style="padding-left: 15px; color: #fff;">Energia</a>
                                    </div>
                                    <div class="link-1">
                                        <?php if (is_front_page()) { ?>
                                            <a class="anchor" href="#contatos" data-sub-top="80" style="padding-left: 15px; color: #fff;">Orçamento</a>
                                        <?php } else { ?>
                                            <a href="<?php echo get_site_url(); ?>/#contatos" data-sub-top="80" style="padding-left: 15px; color: #fff;">Orçamento</a>
                                        <?php } ?>
                                    </div>
                                    <div class="link-1">
                                        <?php if (is_front_page()) { ?>
                                            <a class="anchor" href="#contatos" style="padding-left: 15px; color: #fff;">Contatos</a>
                                        <?php } else { ?>
                                            <a href="<?php echo get_site_url(); ?>/#contatos" style="padding-left: 15px; color: #fff;">Contatos</a>
                                        <?php } ?>

                                    </div>

                                </div>

                            </div>
                        </div>

                    </div>

                    <div class="d-none d-lg-block col-lg-2 col-xl-2 text-right">
                        <div style="position: absolute; bottom: 50px;">
                            <a href="<?php echo get_site_url(null, '/wp-admin'); ?>">
                                <img  data-aos="flip-left" src="<?php echo esc_url( get_template_directory_uri() ); ?>/img/btn-restrict.png" style="width: 100%">
                            </a>
                        </div>

                    </div>


                </div>
            </div>

        </div><!-- header-box -->


    </div><!-- row -->
