<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * e.g., it puts together the home page when no home.php file exists.
 *
 * Learn more: {@link https://codex.wordpress.org/Template_Hierarchy}
 *
 * @package WordPress
 * @subpackage Twenty_Fifteen
 * @since Twenty Fifteen 1.0
 */

get_header(); ?>


    <div class="row">
        <div class="col-12 text-center sl" style="z-index:1; margin-bottom: 30px">

            <div class="row">
                <div class="col-12">
                    <img data-aos="fade-right" data-aos-duration="1500" src="<?php echo esc_url( get_template_directory_uri() ); ?>/img/slf.png" style="width: 100%; z-index: -1; position: relative;">
                </div>
            </div>
            <div class="row">
                <div  class="col-12" style="position: absolute">
                    <img id="backbar" class="col-xl-11" src="<?php echo esc_url( get_template_directory_uri() ); ?>/img/back-bar.png" style="z-index: 1; position: relative; top:-12px; width: 100%">
                </div>
            </div>
            <div class="row">
                <div class="col-4 col-xl-4 sl-button text-right">
                    <a class="anchor-dinamic" href="#saneamento"><img  src="<?php echo esc_url( get_template_directory_uri() ); ?>/img/btn-saneamento.png"  style="z-index: 1; position: relative; width: 40%; margin-right: 12%;"></a>
                </div>
                <div class="col-4 col-xl-4 sl-button text-center">
                    <a class="anchor-dinamic" href="#residuos"><img src="<?php echo esc_url( get_template_directory_uri() ); ?>/img/btn-residuos.png" style="z-index: 1; position: relative; width: 40%;"></a>
                </div>
                <div class="col-4 col-xl-4 sl-button text-left">
                    <a class="anchor-dinamic" href="#energia"><img src="<?php echo esc_url( get_template_directory_uri() ); ?>/img/btn-energia.png" style="z-index: 1; position: relative; width: 40%; margin-left: 12%;"></a>
                </div>

            </div>


        </div>

    </div>

    <div class="container">

        <div class="row">
            <div id="pcontent" class="col-12" style="margin-top: 50px;">
                <?php

                $page = get_page_by_path( 'saneamento' );
                $post = get_post($page);

                setup_postdata($post);

                global $more;
                $more = 0;

                the_content('<button class="btn-orange center-align">Ver mais</button>');

                ?>

            </div>

        </div><!-- row -->

        <div class="row">
            <div class="col-12">
                <hr class="divbar">
            </div>
        </div><!-- row -->

        <div id="quemsomos" class="row">

            <div data-aos="fade-up" class="col-12 col-lg-6">
                <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/img/hand.png" style="width: 100%; z-index: 1; position: relative;">
            </div>
            <div data-aos="fade" class="col-12 col-lg-6" style="padding-top: 30px; margin-bottom: 40px">
                <?php
                $page = get_page_by_path( 'quem-somos' );
                $post = get_post($page);

                setup_postdata($post);

                the_content('<button class="btn-orange float-right">Saiba mais</button>');

                ?>

            </div>

        </div><!-- row -->

        <div id="contatos" class="row">

            <div  data-aos="fade-right" class="col-12 col-lg-6" style="padding: 50px">
                <?php
                $page = get_page_by_path( 'contatos' );
                $post = get_post($page);

                $endereco = get_post_meta($post->ID, 'endereco', true);
                $telefone = get_post_meta($post->ID, 'telefone', true);
                $cidade_estado = get_post_meta($post->ID, 'cidade_estado', true);

                setup_postdata($post);

                the_content();

                ?>

            </div>

            <div class="col-12 col-lg-6">
                <img data-aos="fade" src="<?php echo esc_url( get_template_directory_uri() ); ?>/img/background-endereco.png" style="z-index: 1; top: -10px; position: absolute; right: 0px; width: 50%; min-width: 300px;">
                <div data-aos="fade" style="position: absolute; top: -10px; right: 0px; z-index: 2; padding: 15px; width: 47%; color: #fff; min-width: 300px;">
                    <h2>Onde Estamos</h2>
                    <p style="font-size: 16px">
                        <?php echo $endereco; ?>
                    </p>


                </div>
                <div data-aos="fade" style="position: absolute; right: 0px; top: 95px; z-index: 2; padding: 15px; width: 47%; color: #fff;min-width: 300px;">
                    <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/img/icon-phone.png"> <?php echo $telefone; ?>
                    <br>
                    <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/img/icon-location.png"> <?php echo $cidade_estado; ?>

                </div>

                <img data-aos="zoom-in-up" src="<?php echo esc_url( get_template_directory_uri() ); ?>/img/map.png" style="width: 100%; z-index: -1; position: relative;">


            </div>



        </div><!-- row -->

        <div class="row">

            <div class="col-12" style="padding: 50px; font-size: 13px">
                <form method="post" action="<?php echo get_site_url(null, '/contatos'); ?>">
                <div class="row">
                    <div class="col-12">
                        <div class="row">
                            <div class="col-4 col-sm-2">
                                CONTATO
                                <input type="radio" name="tipo_contato" value="contato" checked>

                            </div>
                            <div class="col-5 col-sm-3">
                                ORÇAMENTO <input type="radio" name="tipo_contato" value="orçamento">
                            </div>
                        </div>

                    </div>
                </div>
                <div class="row">
                    <div class="col-12">

                        <div class="row">
                            <div class="col-12 col-lg-4" style="padding-top: 20px;">
                                <label for="nome">NOME</label>
                                <input class="form-field" type="text" name="nome" style="width: 100%;">
                                <br><br>
                                <label for="email">EMAIL</label>
                                <input class="form-field" type="text" name="email" style="width: 100%;">
                                <br><br>
                                <label for="telefone">TELEFONE</label>
                                <input class="form-field phone_with_ddd" type="text" name="telefone" style="width: 100%;">

                            </div>
                            <div class="col-12 col-lg-4" style="padding-top: 20px;">
                                <label for="mensagem">MENSAGEM</label>
                                <textarea class="form-field" name="mensagem" style="height: 187px; width: 100%"></textarea>
                                <button type="submit" class="btn-orange-radius float-right">Enviar</button>
                </form>
                            </div>
                            <div id="newsbox" class="col-12 col-lg-4 text-right" style="padding-top: 80px">

                                <h1>Receba nossa<br>Newsletter</h1>
<!--                                <input class="form-field" type="text" style="width: 85%">-->
<!--                                <button class="btn-orange-radius float-right">Assinar</button>-->
                                <?php echo do_shortcode('[mailpoet_form id="1"]'); ?>
                            </div>


                        </div>
                    </div>
                </div>
            </div>


        </div><!-- row -->

    </div><!-- container -->

<?php get_footer(); ?>